unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ExtCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Delete1: TMenuItem;
    N3: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    Panel1: TPanel;
    N4: TMenuItem;
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//  ===========================================================================
//  j[E񂹂
//  http://web.archive.org/web/20040220034132/()
//  http://www.bekkoame.ne.jp/~ilgg/VBMain/VB/Menu/RightMenu.html
//  ===========================================================================
procedure MoveHelpMenuToRight(FormHandle: HWND; MenuPos: integer);
const
    MAX_MENU_LEN = 256;
var
    MenuHandle: HMENU;
    SubMenuHdl: HMENU;
    Buf: string;
begin
    //  j[nh擾
    MenuHandle := GetMenu(FormHandle);
    if (MenuHandle <> INVALID_HANDLE_VALUE) then
    begin
        //  Tuj[nh
        SubMenuHdl := GetSubMenu(MenuHandle, MenuPos);
        if (SubMenuHdl <> INVALID_HANDLE_VALUE) then
        begin
            //  j[擾(݌v256Ŏa܂)
            SetLength(Buf, MAX_MENU_LEN);
            GetMenuString(MenuHandle, MenuPos, @Buf[1], MAX_MENU_LEN, MF_BYPOSITION);
            //  E
            ModifyMenu(MenuHandle, MenuPos, MF_BYPOSITION or MF_POPUP or MF_HELP,
                        SubMenuHdl, PChar(Buf));
        end;
    end;
end;

//  ===========================================================================
//  eXg
procedure TForm1.FormCreate(Sender: TObject);
begin
//    Help1.Caption := #8 + Help1.Caption;
    MoveHelpMenuToRight(Self.Handle, 3);
//    MoveHelpMenuToRight(Self.Handle, 4);
end;

end.

